# This is part of a GNU -*- Makefile -*-, to specify system-dependent 
# parts of the Makefile enviroment.
#
# This gets included as part of the GNU-Makefile used in each of 
# the subdirectories.
#
# Depending on your platform, you need to select the correct definition.

## RISCV target compilation toolchain
RISCV_PREFIX=/opt/riscv/bin/
RISCV_AS = $(RISCV_PREFIX)riscv64-unknown-elf-gcc -x assembler-with-cpp -march=rv64imfd
RISCV_GCC = $(RISCV_PREFIX)riscv64-unknown-elf-gcc
RISCV_LD = $(RISCV_PREFIX)riscv64-unknown-elf-ld
RISCV_OBJCOPY = $(RISCV_PREFIX)riscv64-unknown-elf-objcopy
DUMP_FORMAT = ihex
RISCV_ASFLAGS = $(RISCV_CPPFLAGS)
RISCV_CPPFLAGS = #nil
RISCV_CFLAGS = -Wall $(RISCV_CPPFLAGS) -march=rv64imfd
RISCV_LDFLAGS = #nil